Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RISOLTO]Rimuovere completamente plasma workspace/ kde5
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
drudox
l33t
l33t


Joined: 28 Jan 2016
Posts: 611

PostPosted: Thu Sep 07, 2017 9:47 am    Post subject: [RISOLTO]Rimuovere completamente plasma workspace/ kde5 Reply with quote

Salve a tutti ! come da titolo non ho trovato una guida relativa alla rimozione di KDE/plasma .. solo relative a KDE4 ! qualcuno sa darmi qualche indicazione ?
Grazie anticipatamente


Last edited by drudox on Sun Sep 10, 2017 3:26 pm; edited 2 times in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21782
Location: here

PostPosted: Thu Sep 07, 2017 9:54 am    Post subject: Reply with quote

Dipende da come l'hai installato, se hai fatto le cose da manuale ti basta disinstallare il pacchetto principale (plasma-meta o plasma-workspace) e poi fare un depclean.
Posta l'output del comando
Code:
$ grep kde-plasma /var/lib/portage/world

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
l33t
l33t


Joined: 28 Jan 2016
Posts: 611

PostPosted: Thu Sep 07, 2017 10:55 am    Post subject: Reply with quote

grep kde-plasma /var/lib/portage/world
kde-plasma/plasma-meta

ma disinstallando solo questo non mi ritrovo poi tutti i pacchetti qtweb.. k* etc.. ?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21782
Location: here

PostPosted: Thu Sep 07, 2017 11:55 am    Post subject: Reply with quote

drudox wrote:
ma disinstallando solo questo non mi ritrovo poi tutti i pacchetti qtweb.. k* etc.. ?

Si ma poi lanciando un
Code:
# emerge --depclean -a

drovrebbe eleminarti le dipendenze orfane.
Ho messo -a apposta cosi' fai un controllo su cosa vuole eliminarti (ad esempio se hai due kernel che vuoi tenere dovrai aggiungerli al world file con il comand emerge --noreplace perche' solitamente cerca di tenerti solo il piu; recente).
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
l33t
l33t


Joined: 28 Jan 2016
Posts: 611

PostPosted: Thu Sep 07, 2017 6:48 pm    Post subject: Reply with quote

ho fatto come mi hai suggerito .. ora sto seguendo la guida per installare gnome .. ma ottengo problemi nella fase di aggiornamento del @world e sembra che ci siano ancora ci siano dipendenze di KDE .. qui trovate l'output se riuscite a darmi una mano grazie in anticipo https://paste.pound-python.org/show/cgwHx4txtuJSI0ydVdXH/
Back to top
View user's profile Send private message
sabayonino
l33t
l33t


Joined: 03 Jan 2012
Posts: 700

PostPosted: Thu Sep 07, 2017 7:43 pm    Post subject: Reply with quote

se stai cercando di installare Gnome , dovresti cambiare il profile e aggiornare anche le nuove useflag (-uDNa --with-bdeps=y @world)
Code:
# eselect profile list


ti ricordo che sior Gnome si porta dietro anche systemd ed il cambio di sistema di Init è obbligatorio
_________________
BOINC ed il calcolo distribuito

My LiveRecoverySystem Repo
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21782
Location: here

PostPosted: Thu Sep 07, 2017 7:52 pm    Post subject: Reply with quote

sabayonino wrote:
ti ricordo che sior Gnome si porta dietro anche systemd ed il cambio di sistema di Init è obbligatorio

In realta' esiste l'overlay dantrell che permette gnome senza systemd.

Comunque come dice sabayonino il gnome ufficiale nel portage tree richiede systemd
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
sabayonino
l33t
l33t


Joined: 03 Jan 2012
Posts: 700

PostPosted: Thu Sep 07, 2017 8:18 pm    Post subject: Reply with quote

si lo so dell'esistenza dell'overlay , ma qui sono rimasto con i piedi per terra :roll:
_________________
BOINC ed il calcolo distribuito

My LiveRecoverySystem Repo
Back to top
View user's profile Send private message
drudox
l33t
l33t


Joined: 28 Jan 2016
Posts: 611

PostPosted: Fri Sep 08, 2017 12:18 am    Post subject: Reply with quote

si io sto usando l'overlay ... qualcuno sa aiutarmi a risolvere quegli errori? derivano proprio daun
Code:
uDNa --with-bdeps=y @world
dopo cambio del profilo ... come dice la wiki
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21782
Location: here

PostPosted: Fri Sep 08, 2017 5:46 am    Post subject: Reply with quote

Si scusa ora mi ero messo in testa che volevi installare quello nel portage tree.
Che profilo usi? Per il problema di x11-misc/notification-daemon devi disinstallare mate-notification-daemon e controllare virtual/notification-daemon (virtual non x11-misc) abbia la use flag gnome attivata, ma e' strano che non ce l'abbia se hai scelto un profilo corretto.
Per dev-db/mariadb che e' bloccato da akonadi la mia domanda e' vuoi ancora le kde apps?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
l33t
l33t


Joined: 28 Jan 2016
Posts: 611

PostPosted: Fri Sep 08, 2017 6:31 am    Post subject: Reply with quote

No ... voglio proprio eliminare le kde-apps ! erano quelli i pacchetti di cui parlavo quando ho detto che eliminando solo plasma-meta !

Come profilo ho "dantrell-gnome:default/amd64/3.24"
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21782
Location: here

PostPosted: Fri Sep 08, 2017 6:38 am    Post subject: Reply with quote

drudox wrote:
No ... voglio proprio eliminare le kde-apps ! erano quelli i pacchetti di cui parlavo quando ho detto che eliminando solo plasma-meta !

Per eliminare le kde-apps usa
Code:
# emerge -Ca $(qlist -I kde-apps/*)
# emerge --depclean -a

Se le elimini anche il secondo problema (quello di mariadb) si risolve.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
l33t
l33t


Joined: 28 Jan 2016
Posts: 611

PostPosted: Fri Sep 08, 2017 10:30 am    Post subject: Reply with quote

beh ma akonadi fa` parte delle KDE-apps ... quindi sara` eliminato ..
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21782
Location: here

PostPosted: Fri Sep 08, 2017 10:47 am    Post subject: Reply with quote

drudox wrote:
beh ma akonadi fa` parte delle KDE-apps ... quindi sara` eliminato ..

Si e' quello che intendevo, se elimini kde-apps risolvi il problema.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
l33t
l33t


Joined: 28 Jan 2016
Posts: 611

PostPosted: Fri Sep 08, 2017 1:10 pm    Post subject: Reply with quote

Nulla .. ho disinstallato mate-notification-demon ! , ho disinstallato kde-apps ed eseguito cleaner , ho inserito nel package.use
Code:
virtual/notification-daemon gnome


ma ottengo ancora questo :

[url] https://paste.pound-python.org/show/SDEGuRcZLOzUxKHSZ4ID/[/url]

grazie mille per l'aiuto


Last edited by drudox on Fri Sep 08, 2017 1:46 pm; edited 1 time in total
Back to top
View user's profile Send private message
drudox
l33t
l33t


Joined: 28 Jan 2016
Posts: 611

PostPosted: Fri Sep 08, 2017 1:11 pm    Post subject: Reply with quote

ora provo a mettere un valore a --backtrack .. potrebbe essere quello ?
Back to top
View user's profile Send private message
drudox
l33t
l33t


Joined: 28 Jan 2016
Posts: 611

PostPosted: Fri Sep 08, 2017 1:21 pm    Post subject: Reply with quote

No stesso risultato !! :(
Back to top
View user's profile Send private message
drudox
l33t
l33t


Joined: 28 Jan 2016
Posts: 611

PostPosted: Fri Sep 08, 2017 1:27 pm    Post subject: Reply with quote

oh cavolo , sono un idiota !! devo DISINSTALLARE mate-notification daemon ...
Back to top
View user's profile Send private message
drudox
l33t
l33t


Joined: 28 Jan 2016
Posts: 611

PostPosted: Fri Sep 08, 2017 1:36 pm    Post subject: Reply with quote

e invece non e` quello o meglio lo ho disinstallato ma sembra blocchi ancora notification-daemon

Code:
[blocks B      ] x11-misc/notification-daemon:* ("x11-misc/notification-daemon:*" is blocking x11-misc/mate-notification-daemon-1.18.0)

Total: 228 packages (20 upgrades, 5 downgrades, 80 new, 6 in new slots, 117 reinstalls), Size of downloads: 240304 KiB
Conflict: 1 block (1 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

x11-libs/gtk+:3

  (x11-libs/gtk+-3.22.20:3/22::dantrell-gnome, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (x11-libs/gtk+-3.22.19:3/3::gentoo, installed) pulled in by
    >=x11-libs/gtk+-3.16:3/3= required by (xfce-base/xfce4-panel-4.13.1:0/0::gentoo, installed)
                        ^^^^^                                                                                                     
    (and 7 more with the same problem)

media-gfx/imagemagick:0

  (media-gfx/imagemagick-7.0.6.9:0/7.0.6.9::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (media-gfx/imagemagick-7.0.6.5:0/7.0.6.5::gentoo, installed) pulled in by
    media-gfx/imagemagick:0/7.0.6.5= required by (media-gfx/uniconvertor-2.0_pre379-r2:0/0::gentoo, installed)
                         ^^^^^^^^^^^                                                                                                             
    (and 1 more with the same problem)

dev-libs/glib:2

  (dev-libs/glib-2.52.3:2/52::dantrell-gnome, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-libs/glib-2.52.3:2/2::gentoo, installed) pulled in by
    >=dev-libs/glib-2.24:2/2= required by (xfce-base/xfce4-panel-4.13.1:0/0::gentoo, installed)
                        ^^^^^                                                                                                     
    (and 12 more with the same problem)

NOTE: Use the '--verbose-conflicts' option to display parents omitted above

It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (x11-misc/mate-notification-daemon-1.18.0:0/0::gentoo, installed) pulled in by
    =x11-misc/mate-notification-daemon-1.18*:0 required by (mate-base/mate-1.18:0/0::gentoo, installed)
    x11-misc/mate-notification-daemon required by @selected

  (x11-misc/notification-daemon-3.20.0:0/0::dantrell-gnome, ebuild scheduled for merge) pulled in by
    x11-misc/notification-daemon required by (virtual/notification-daemon-0:0/0::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages


!!! The following installed packages are masked:
- dev-python/skype4py-1.0.35-r1::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Raymond Jennings <shentino@gmail.com> (11 Jun 2017)
# Upstream announced EOL effective July 2017.
# Depends on qt4 which is being deprecated.
# Possible alternative is skypeforlinux,
# which uses the same account information but has different features.
# See bug #620722 and bug #608174.

- net-im/skype-4.3.0.37-r6::gentoo (masked by: package.mask)
- app-text/poppler-0.57.0::gentoo (masked by: package.mask)
- dev-libs/glib-2.52.3::gentoo (masked by: package.mask)
- dev-libs/libical-2.0.0-r2::gentoo (masked by: package.mask)
- x11-libs/gtk+-3.22.19::gentoo (masked by: package.mask)
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


sapete darmi per cortesia una mano ?
Back to top
View user's profile Send private message
drudox
l33t
l33t


Joined: 28 Jan 2016
Posts: 611

PostPosted: Fri Sep 08, 2017 1:45 pm    Post subject: Reply with quote

ora che e` ho pure fatto un depclean invece ottengo questo ...

Code:
 
[blocks B      ] x11-misc/notification-daemon:* ("x11-misc/notification-daemon:*" is blocking x11-misc/mate-notification-daemon-1.18.0)

* Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

.......

  (x11-misc/notification-daemon-3.20.0:0/0::dantrell-gnome, ebuild scheduled for merge) pulled in by
    x11-misc/notification-daemon required by (virtual/notification-daemon-0:0/0::gentoo, ebuild scheduled for merge)

  (x11-misc/mate-notification-daemon-1.18.0:0/0::gentoo, ebuild scheduled for merge) pulled in by
    =x11-misc/mate-notification-daemon-1.18*:0 required by (mate-base/mate-1.18:0/0::gentoo, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages


!!! The following installed packages are masked:
- dev-python/skype4py-1.0.35-r1::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Raymond Jennings <shentino@gmail.com> (11 Jun 2017)
# Upstream announced EOL effective July 2017.
# Depends on qt4 which is being deprecated.
# Possible alternative is skypeforlinux,
# which uses the same account information but has different features.
# See bug #620722 and bug #608174.

- net-im/skype-4.3.0.37-r6::gentoo (masked by: package.mask)
- app-text/poppler-0.57.0::gentoo (masked by: package.mask)
- dev-libs/glib-2.52.3::gentoo (masked by: package.mask)
- dev-libs/libical-2.0.0-r2::gentoo (masked by: package.mask)
- x11-libs/gtk+-3.22.19::gentoo (masked by: package.mask)
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.

 [root@quad-Gentoo /home/drudox]# emerge --depclean

 * Always study the list of packages to be cleaned for any obvious
 * mistakes. Packages that are part of the world set will always
 * be kept.  They can be manually added to this set with
 * `emerge --noreplace <atom>`.  Packages that are listed in
 * package.provided (see portage(5)) will be removed by
 * depclean, even if they are part of the world set.
 *
 * As a safety measure, depclean will not remove any packages
 * unless *all* required dependencies have been resolved.  As a
 * consequence of this, it often becomes necessary to run
 * `emerge --update --newuse --deep @world` prior to depclean.

Calculating dependencies... done!
 * Dependencies could not be completely resolved due to
 * the following required packages not being installed:
 *
 *   =x11-misc/mate-notification-daemon-1.18*:0 pulled in by:
 *     mate-base/mate-1.18
 *
 * Have you forgotten to do a complete update prior to depclean? The
 * most comprehensive command for this purpose is as follows:
 *
 *   emerge --update --newuse --deep --with-bdeps=y @world
 *
 * Note that the --with-bdeps=y option is not required in many
 * situations. Refer to the emerge manual page (run `man emerge`)
 * for more information about --with-bdeps.
 *
 * Also, note that it may be necessary to manually uninstall
 * packages that no longer exist in the portage tree, since it may
 * not be possible to satisfy their dependencies.
 [root@quad-Gentoo /home/drudox]#
Back to top
View user's profile Send private message
drudox
l33t
l33t


Joined: 28 Jan 2016
Posts: 611

PostPosted: Fri Sep 08, 2017 3:35 pm    Post subject: Reply with quote

Per ora ho risolto con l'opzione Exclude .. ma vorrei capire come risolvere il problema! lascio ancora il post come non risolto ..
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21782
Location: here

PostPosted: Fri Sep 08, 2017 3:47 pm    Post subject: Reply with quote

Ma hai mate installato?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
l33t
l33t


Joined: 28 Jan 2016
Posts: 611

PostPosted: Fri Sep 08, 2017 5:19 pm    Post subject: Reply with quote

Per ora ho risolto con l'opzione Exclude .. ma vorrei capire come risolvere il problema! lascio ancora il post come non risolto ..
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21782
Location: here

PostPosted: Fri Sep 08, 2017 5:45 pm    Post subject: Reply with quote

drudox wrote:
Per ora ho risolto con l'opzione Exclude .. ma vorrei capire come risolvere il problema! lascio ancora il post come non risolto ..

Questo lo hai gia' detto :D . Ripeto, hai installato anche mate-base/mate?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
l33t
l33t


Joined: 28 Jan 2016
Posts: 611

PostPosted: Fri Sep 08, 2017 9:17 pm    Post subject: Reply with quote

Si ho mate e i3
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum